Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.solution
Class GeneralSolutionComparator

    java.lang.Object
      ifs.solution.GeneralSolutionComparator

All Implemented Interfaces:
  SolutionComparator

    public class GeneralSolutionComparator

extends Object
implements SolutionComparator

General implementation of solution comparator.
The solution is better than the best ever found solution when it has more variables assigned. In the case, when both solutions have the same number of assigned variables, the better solution is the one with smaller total value, i.e., the sum of `Value.toInt()` over all assigned variables.

Version:
  1.0
Author:
  Tomáš Müller
See Also:
  `Solution`, `Solver`

Constructor Summary
`GeneralSolutionComparator()`
`GeneralSolutionComparator(DataProperties properties)` No parameters are used so far.

Method Summary
`boolean` | `isBetterThanBestSolution(Solution currentSolution)` Compares two solutions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneralSolutionComparator

    public GeneralSolutionComparator()

### GeneralSolutionComparator

    public GeneralSolutionComparator(DataProperties properties)

  No parameters are used so far.

Method Detail

### isBetterThanBestSolution

    public boolean isBetterThanBestSolution(Solution currentSolution)

  Description copied from interface: `SolutionComparator`
  Compares two solutions. Returns true if the given solution is better than its best ever found solution (see `Solution.saveBest()` and `Solution.restoreBest()`).

  Specified by:
    `isBetterThanBestSolution` in interface `SolutionComparator`
  Parameters:
    `currentSolution` - given solution
  Returns:
    true if the given solution is better than the best ever found solution

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller